org.apache.groovy.ast.tools

## Class AnnotatedNodeUtils

- java.lang.Object
- - org.apache.groovy.ast.tools.AnnotatedNodeUtils

-     public class AnnotatedNodeUtils
      extends java.lang.Object

  Utility class for working with AnnotatedNodes

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasAnnotation(AnnotatedNode node, ClassNode annotation)`
    `static void` | `markAsGenerated(ClassNode containingClass, AnnotatedNode nodeToMark)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### markAsGenerated

          public static void markAsGenerated(ClassNode containingClass,
                                             AnnotatedNode nodeToMark)

    - #### hasAnnotation

          public static boolean hasAnnotation(AnnotatedNode node,
                                              ClassNode annotation)